IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FNMDL_HUMANALBUMIN_ICIN_ALBUMIN_TETKIK_KONTROL]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION [dbo].[FNMDL_HUMANALBUMIN_ICIN_ALBUMIN_TETKIK_KONTROL]
GO
CREATE FUNCTION [dbo].[FNMDL_HUMANALBUMIN_ICIN_ALBUMIN_TETKIK_KONTROL](@HDOSYAID INTEGER,@MDLTEDAVITURU NVARCHAR(1))
RETURNS TABLE AS
RETURN

SELECT CASE WHEN HUMAN_ALBUMIN_ILAC_VAR=1 AND ALBUMIN_TETKIK_VAR=1 THEN 2
            WHEN HUMAN_ALBUMIN_ILAC_VAR=1 AND ALBUMIN_TETKIK_VAR=0 THEN 1
			END KONTROL, 'Human Albumin İlaç Tetkik Kont.' KontrolAdi,
			'Human albumin isimli ilaç için Albumin (900210) tetkikinin olup olmadığının sorgulaması' Aciklama    FROM 
(
	SELECT
	      (SELECT CASE WHEN COUNT(*)>0 THEN 1  ELSE 0 END PAT_AMLY_VAR FROM VWHESAPISL H WHERE H.IPTAL=0 AND H.HDOSYAID=HDOSYA.HDOSYAID AND ITEMKODU2='900210' ) ALBUMIN_TETKIK_VAR,
	       (SELECT CASE WHEN COUNT(*)>0 THEN 1  ELSE 0 END FROM VWHESAPISL H  WHERE H.IPTAL=0 AND ITEMTURUID IN (3) AND ITEMADI LIKE '%HUM%N%ALB%M%N%' AND H.HDOSYAID=HDOSYA.HDOSYAID ) HUMAN_ALBUMIN_ILAC_VAR,
	
	HDOSYAID,MDLTEDAVITURU FROM HDOSYA WHERE HDOSYA.HDOSYAID=@HDOSYAID
) AS T

